diff --git a/gcc/config/mep/mep.c b/gcc/config/mep/mep.c
index 858136b..d9ac620 100644
--- a/gcc/config/mep/mep.c
+++ b/gcc/config/mep/mep.c
@@ -313,7 +313,7 @@ mep_option_override (void)
   unsigned int i;
   int j;
   cl_deferred_option *opt;
-  vec<cl_deferred_option> *v = (vec<cl_deferred_option> *) mep_deferred_options;
+  vec<cl_deferred_option> *v = (vec<cl_deferred_option> *) GCC_OPTION (mep_deferred_options);
 
   if (v)
     FOR_EACH_VEC_ELT (*v, i, opt)
@@ -362,9 +362,9 @@ mep_option_override (void)
 	  }
       }
 
-  if (flag_pic == 1)
+  if (GCC_OPTION (flag_pic) == 1)
     warning (OPT_fpic, "-fpic is not supported");
-  if (flag_pic == 2)
+  if (GCC_OPTION (flag_pic) == 2)
     warning (OPT_fPIC, "-fPIC is not supported");
   if (TARGET_S && TARGET_M)
     error ("only one of -ms and -mm may be given");
@@ -379,23 +379,23 @@ mep_option_override (void)
   if (TARGET_OPT_CLIP && ! TARGET_OPT_MINMAX)
     warning (0, "-mclip currently has no effect without -mminmax");
 
-  if (mep_const_section)
+  if (GCC_OPTION (mep_const_section))
     {
-      if (strcmp (mep_const_section, "tiny") != 0
-	  && strcmp (mep_const_section, "near") != 0
-	  && strcmp (mep_const_section, "far") != 0)
+      if (strcmp (GCC_OPTION (mep_const_section), "tiny") != 0
+	  && strcmp (GCC_OPTION (mep_const_section), "near") != 0
+	  && strcmp (GCC_OPTION (mep_const_section), "far") != 0)
 	error ("-mc= must be -mc=tiny, -mc=near, or -mc=far");
     }
 
   if (TARGET_S)
-    mep_tiny_cutoff = 65536;
+    GCC_OPTION (mep_tiny_cutoff) = 65536;
   if (TARGET_M)
-    mep_tiny_cutoff = 0;
+    GCC_OPTION (mep_tiny_cutoff) = 0;
   if (TARGET_L && ! global_options_set.x_mep_tiny_cutoff)
-    mep_tiny_cutoff = 0;
+    GCC_OPTION (mep_tiny_cutoff) = 0;
 
   if (TARGET_64BIT_CR_REGS)
-    flag_split_wide_types = 0;
+    GCC_OPTION (flag_split_wide_types) = 0;
 
   init_machine_status = mep_init_machine_status;
   mep_init_intrinsics ();
@@ -1679,7 +1679,7 @@ mep_expand_setcc_1 (enum rtx_code code, rtx dest, rtx op1, rtx op2)
 		sltu3 tmp, tmp, 1	16-bit
 		xor3 dest, tmp, 1	32-bit
 	*/
-      if (optimize_size && op2 != const0_rtx)
+      if (GCC_OPTION (optimize_size) && op2 != const0_rtx)
 	return false;
 
       if (op2 != const0_rtx)
@@ -2342,7 +2342,7 @@ mep_reg_set_in_function (int regno)
   if (mep_interrupt_p () && df_regs_ever_live_p(regno))
     return true;
 
-  if (regno == LP_REGNO && (profile_arc_flag > 0 || profile_flag > 0))
+  if (regno == LP_REGNO && (GCC_OPTION (profile_arc_flag) > 0 || GCC_OPTION (profile_flag) > 0))
     return true;
 
   push_topmost_sequence ();
@@ -2440,7 +2440,7 @@ mep_call_saves_register (int r)
 
       if (cfun->machine->reg_save_slot[r])
   	rv = MEP_SAVES_YES;
-      else if (r == LP_REGNO && (profile_arc_flag > 0 || profile_flag > 0))
+      else if (r == LP_REGNO && (GCC_OPTION (profile_arc_flag) > 0 || GCC_OPTION (profile_flag) > 0))
 	rv = MEP_SAVES_YES;
       else if (r == FRAME_POINTER_REGNUM && frame_pointer_needed)
 	rv = MEP_SAVES_YES;
@@ -2467,7 +2467,7 @@ mep_epilogue_uses (int regno)
      However, when profiling is enabled, the profiling code will implicitly
      clobber $11.  This case has to be handled specially both here and in
      mep_call_saves_register.  */
-  if (regno == LP_REGNO && (profile_arc_flag > 0 || profile_flag > 0))
+  if (regno == LP_REGNO && (GCC_OPTION (profile_arc_flag) > 0 || GCC_OPTION (profile_flag) > 0))
     return true;
   /* Interrupt functions save/restore pretty much everything.  */
   return (reload_completed && mep_interrupt_saved_reg (regno));
@@ -2831,7 +2831,7 @@ mep_start_function (FILE *file, HOST_WIDE_INT hwi_local)
   if (sp_offset == 0)
     return;
 
-  if (debug_info_level == DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) == DINFO_LEVEL_NONE)
     {
       fprintf (file, "\t# frame: %d", sp_offset);
       if (reg_save_size)
@@ -2918,7 +2918,7 @@ mep_expand_epilogue (void)
   int really_need_stack_frame = get_frame_size() + crtl->outgoing_args_size;
   int interrupt_handler = mep_interrupt_p ();
 
-  if (profile_arc_flag == 2)
+  if (GCC_OPTION (profile_arc_flag) == 2)
     emit_insn (gen_mep_bb_trace_ret ());
 
   reg_save_size = mep_elimination_offset (ARG_POINTER_REGNUM, FRAME_POINTER_REGNUM);
@@ -4374,21 +4374,21 @@ mep_insert_attributes (tree decl, tree *attributes)
     }
   else
     {
-      if (size <= mep_based_cutoff && size > 0)
+      if (size <= GCC_OPTION (mep_based_cutoff) && size > 0)
 	secname = "based";
-      else if (size <= mep_tiny_cutoff && size > 0)
+      else if (size <= GCC_OPTION (mep_tiny_cutoff) && size > 0)
 	secname = "tiny";
       else if (TARGET_L)
 	secname = "far";
     }
 
-  if (mep_const_section && TREE_READONLY (decl))
+  if (GCC_OPTION (mep_const_section) && TREE_READONLY (decl))
     {
-      if (strcmp (mep_const_section, "tiny") == 0)
+      if (strcmp (GCC_OPTION (mep_const_section), "tiny") == 0)
 	secname = "tiny";
-      else if (strcmp (mep_const_section, "near") == 0)
+      else if (strcmp (GCC_OPTION (mep_const_section), "near") == 0)
 	return;
-      else if (strcmp (mep_const_section, "far") == 0)
+      else if (strcmp (GCC_OPTION (mep_const_section), "far") == 0)
 	secname = "far";
     }
 
@@ -4532,7 +4532,7 @@ mep_select_section (tree decl, int reloc ATTRIBUTE_UNUSED,
       else
 	encoding = 0;
 
-      if (flag_function_sections || DECL_ONE_ONLY (decl))
+      if (GCC_OPTION (flag_function_sections) || DECL_ONE_ONLY (decl))
 	mep_unique_section (decl, 0);
       else if (lookup_attribute ("vliw", TYPE_ATTRIBUTES (TREE_TYPE (decl))))
 	{
@@ -5802,9 +5802,9 @@ mep_reorg (void)
   mep_jmp_return_reorg (insns);
   mep_bundle_insns (insns);
   mep_reorg_repeat (insns);
-  if (optimize
-      && !profile_flag
-      && !profile_arc_flag
+  if (GCC_OPTION (optimize)
+      && !GCC_OPTION (profile_flag)
+      && !GCC_OPTION (profile_arc_flag)
       && TARGET_OPT_REPEAT
       && (!mep_interrupt_p () || mep_interrupt_saved_reg (RPB_REGNO)))
     mep_reorg_erepeat (insns);
@@ -5858,9 +5858,9 @@ mep_init_intrinsics (void)
 
   /* Set MEP_SELECTED_ISA to the ISA flag for this configuration.  */
   mep_selected_isa = mep_configs[0].isa;
-  if (mep_config_string != 0)
+  if (GCC_OPTION (mep_config_string) != 0)
     for (i = 0; mep_configs[i].config_name; i++)
-      if (strcmp (mep_config_string, mep_configs[i].config_name) == 0)
+      if (strcmp (GCC_OPTION (mep_config_string), mep_configs[i].config_name) == 0)
 	{
 	  mep_selected_isa = mep_configs[i].isa;
 	  break;
@@ -7149,7 +7149,7 @@ mep_rtx_cost (rtx x, int code, int outer_code ATTRIBUTE_UNUSED,
       return true;
 
     case SYMBOL_REF:
-      *total = optimize_size ? COSTS_N_INSNS (0) : COSTS_N_INSNS (1);
+      *total = GCC_OPTION (optimize_size) ? COSTS_N_INSNS (0) : COSTS_N_INSNS (1);
       return true;
 
     case MULT:							
diff --git a/gcc/config/mep/mep.h b/gcc/config/mep/mep.h
index d1360b6..cb3d731 100644
--- a/gcc/config/mep/mep.h
+++ b/gcc/config/mep/mep.h
@@ -122,10 +122,10 @@ crtbegin.o%s"
 
 #define TARGET_DEFAULT		(MASK_IO_VOLATILE | MASK_OPT_REPEAT | MEP_ALL_OPTS | MASK_LITTLE_ENDIAN)
 
-#define TARGET_IO_NO_VOLATILE	(! (target_flags & MASK_IO_VOLATILE))
-#define TARGET_OPT_NOREPEAT	(! (target_flags & MASK_OPT_REPEAT))
-#define TARGET_32BIT_CR_REGS	(! (target_flags & MASK_64BIT_CR_REGS))
-#define TARGET_BIG_ENDIAN	(! (target_flags & MASK_LITTLE_ENDIAN))
+#define TARGET_IO_NO_VOLATILE	(! (GCC_OPTION (target_flags) & MASK_IO_VOLATILE))
+#define TARGET_OPT_NOREPEAT	(! (GCC_OPTION (target_flags) & MASK_OPT_REPEAT))
+#define TARGET_32BIT_CR_REGS	(! (GCC_OPTION (target_flags) & MASK_64BIT_CR_REGS))
+#define TARGET_BIG_ENDIAN	(! (GCC_OPTION (target_flags) & MASK_LITTLE_ENDIAN))
 
 #define TARGET_COPRO_MULT	0
 
diff --git a/gcc/config/microblaze/microblaze.c b/gcc/config/microblaze/microblaze.c
index ba8109b..6c896d0 100644
--- a/gcc/config/microblaze/microblaze.c
+++ b/gcc/config/microblaze/microblaze.c
@@ -679,9 +679,9 @@ get_base_reg (rtx x)
   tree decl;
   int base_reg;
 
-  if (!flag_pic || microblaze_tls_symbol_p(x))
+  if (!GCC_OPTION (flag_pic) || microblaze_tls_symbol_p(x))
     base_reg = MB_ABI_BASE_REGNUM;
-  else if (flag_pic)
+  else if (GCC_OPTION (flag_pic))
     base_reg = MB_ABI_PIC_ADDR_REGNUM;
 
   if (TARGET_XLGPOPT
@@ -769,7 +769,7 @@ microblaze_classify_address (struct microblaze_address_info *info, rtx x,
 	    else if ((GET_CODE (xplus1) == SYMBOL_REF ||
 		      GET_CODE (xplus1) == LABEL_REF))
 	      {
-		if (flag_pic == 2 || microblaze_tls_symbol_p(xplus1))
+		if (GCC_OPTION (flag_pic) == 2 || microblaze_tls_symbol_p(xplus1))
 		  return false;
 		info->type = ADDRESS_SYMBOLIC;
 		info->symbol = xplus1;
@@ -802,7 +802,7 @@ microblaze_classify_address (struct microblaze_address_info *info, rtx x,
 		if (GET_CODE (xconst0) == SYMBOL_REF
 		    || GET_CODE (xconst0) == LABEL_REF)
 		  {
-		    if (flag_pic == 2 || microblaze_tls_symbol_p(xconst0))
+		    if (GCC_OPTION (flag_pic) == 2 || microblaze_tls_symbol_p(xconst0))
 		      return false;
 
 		    info->type = ADDRESS_SYMBOLIC;
@@ -852,10 +852,10 @@ microblaze_classify_address (struct microblaze_address_info *info, rtx x,
 				  get_base_reg (XVECEXP (XEXP (x,0), 0, 0)));
 		return microblaze_classify_unspec (info, XEXP (x, 0));
 	     }
-	     return !(flag_pic && pic_address_needs_scratch (x));
+	     return !(GCC_OPTION (flag_pic) && pic_address_needs_scratch (x));
 	  }
 
-	if (flag_pic == 2)
+	if (GCC_OPTION (flag_pic) == 2)
 	  return false;
 	else if (microblaze_tls_symbol_p(x))
 	  return false;
@@ -907,7 +907,7 @@ microblaze_valid_pic_const (rtx x)
 int
 microblaze_legitimate_pic_operand (rtx x)
 {
-  if (flag_pic == 2 && (symbol_mentioned_p(x) || label_mentioned_p(x)))
+  if (GCC_OPTION (flag_pic) == 2 && (symbol_mentioned_p(x) || label_mentioned_p(x)))
     return 0;
 
   if (microblaze_tls_referenced_p(x))
@@ -949,7 +949,7 @@ microblaze_legitimize_address (rtx x, rtx oldx ATTRIBUTE_UNUSED,
   register rtx xinsn = x, result;
 
   if (GET_CODE (xinsn) == CONST
-      && flag_pic && pic_address_needs_scratch (xinsn))
+      && GCC_OPTION (flag_pic) && pic_address_needs_scratch (xinsn))
     {
       rtx ptr_reg = gen_reg_rtx (Pmode);
       rtx constant = XEXP (XEXP (xinsn, 0), 1);
@@ -1020,7 +1020,7 @@ microblaze_legitimize_address (rtx x, rtx oldx ATTRIBUTE_UNUSED,
 
 		  return result;
 		}
-	      else if (flag_pic == 2)
+	      else if (GCC_OPTION (flag_pic) == 2)
 		{
 		  rtx pic_ref, reg;
 		  reg = gen_reg_rtx (Pmode);
@@ -1206,7 +1206,7 @@ microblaze_expand_block_move (rtx dest, rtx src, rtx length, rtx align_rtx)
 	  microblaze_block_move_straight (dest, src, INTVAL (length));
 	  return true;
 	}
-      else if (optimize)
+      else if (GCC_OPTION (optimize))
 	{
 	  microblaze_block_move_loop (dest, src, INTVAL (length));
 	  return true;
@@ -1263,7 +1263,7 @@ microblaze_rtx_costs (rtx x, int code, int outer_code ATTRIBUTE_UNUSED,
       {
 	if (TARGET_BARREL_SHIFT)
 	  {
-	    if (MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v5.00.a")
+	    if (MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v5.00.a")
 		>= 0)
 	      *total = COSTS_N_INSNS (1);
 	    else
@@ -1276,9 +1276,9 @@ microblaze_rtx_costs (rtx x, int code, int outer_code ATTRIBUTE_UNUSED,
 	    /* Add 1 to make shift slightly more expensive than add.  */
 	    *total = COSTS_N_INSNS (INTVAL (XEXP (x, 1))) + 1;
 	    /* Reduce shift costs for special circumstances.  */
-	    if (optimize_size && INTVAL (XEXP (x, 1)) > 5)
+	    if (GCC_OPTION (optimize_size) && INTVAL (XEXP (x, 1)) > 5)
 	      *total -= 2;
-	    if (!optimize_size && INTVAL (XEXP (x, 1)) > 17)
+	    if (!GCC_OPTION (optimize_size) && INTVAL (XEXP (x, 1)) > 17)
 	      *total -= 2;
 	  }
 	else
@@ -1325,7 +1325,7 @@ microblaze_rtx_costs (rtx x, int code, int outer_code ATTRIBUTE_UNUSED,
 	  }
 	else if (!TARGET_SOFT_MUL)
 	  {
-	    if (MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v5.00.a")
+	    if (MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v5.00.a")
 		>= 0)
 	      *total = COSTS_N_INSNS (1);
 	    else
@@ -1431,7 +1431,7 @@ pic_address_needs_scratch (rtx x)
 
       if ((GET_CODE (p0) == SYMBOL_REF || GET_CODE (p0) == LABEL_REF)
           && (GET_CODE (p1) == CONST_INT)
-          && (flag_pic == 2 || microblaze_tls_symbol_p (p0) || !SMALL_INT (p1)))
+          && (GCC_OPTION (flag_pic) == 2 || microblaze_tls_symbol_p (p0) || !SMALL_INT (p1)))
         return 1;
     }
   return 0;
@@ -1674,31 +1674,31 @@ microblaze_option_override (void)
   int ver;
 
   microblaze_section_threshold = (global_options_set.x_g_switch_value
-				  ? g_switch_value
+				  ? GCC_OPTION (g_switch_value)
 				  : MICROBLAZE_DEFAULT_GVALUE);
 
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     {
       /* Make sure it's 2, we only support one kind of PIC.  */
-      flag_pic = 2;
+      GCC_OPTION (flag_pic) = 2;
       if (!TARGET_SUPPORTS_PIC)
         {
           error ("-fPIC/-fpic not supported for this target");
           /* Clear it to avoid further errors.  */
-          flag_pic = 0;
+          GCC_OPTION (flag_pic) = 0;
         }
     }
 
   /* Check the MicroBlaze CPU version for any special action to be done.  */
-  if (microblaze_select_cpu == NULL)
-    microblaze_select_cpu = MICROBLAZE_DEFAULT_CPU;
-  ver = microblaze_version_to_int (microblaze_select_cpu);
+  if (GCC_OPTION (microblaze_select_cpu) == NULL)
+    GCC_OPTION (microblaze_select_cpu) = MICROBLAZE_DEFAULT_CPU;
+  ver = microblaze_version_to_int (GCC_OPTION (microblaze_select_cpu));
   if (ver == -1)
     {
-      error ("%qs is an invalid argument to -mcpu=", microblaze_select_cpu);
+      error ("%qs is an invalid argument to -mcpu=", GCC_OPTION (microblaze_select_cpu));
     }
 
-  ver = MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v3.00.a");
+  ver = MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v3.00.a");
   if (ver < 0)
     {
       /* No hardware exceptions in earlier versions. So no worries.  */
@@ -1709,7 +1709,7 @@ microblaze_option_override (void)
       microblaze_pipe = MICROBLAZE_PIPE_3;
     }
   else if (ver == 0
-	   || (MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v4.00.b")
+	   || (MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v4.00.b")
 	       == 0))
     {
 #if 0
@@ -1727,19 +1727,19 @@ microblaze_option_override (void)
 #endif
       microblaze_no_unsafe_delay = 0;
       microblaze_pipe = MICROBLAZE_PIPE_5;
-      if (MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v5.00.a") == 0
-	  || MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu,
+      if (MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v5.00.a") == 0
+	  || MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu),
 					 "v5.00.b") == 0
-	  || MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu,
+	  || MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu),
 					 "v5.00.c") == 0)
 	{
 	  /* Pattern compares are to be turned on by default only when 
  	     compiling for MB v5.00.'z'.  */
-	  target_flags |= MASK_PATTERN_COMPARE;
+	  GCC_OPTION (target_flags) |= MASK_PATTERN_COMPARE;
 	}
     }
 
-  ver = MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v6.00.a");
+  ver = MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v6.00.a");
   if (ver < 0)
     {
       if (TARGET_MULTIPLY_HIGH)
@@ -1747,7 +1747,7 @@ microblaze_option_override (void)
 		 "-mxl-multiply-high can be used only with -mcpu=v6.00.a or greater");
     }
 
-  ver = MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v8.10.a");
+  ver = MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v8.10.a");
   microblaze_has_clz = 1;
   if (ver < 0)
     {
@@ -1756,18 +1756,18 @@ microblaze_option_override (void)
     }
 
   /* TARGET_REORDER defaults to 2 if -mxl-reorder not specified.  */
-  ver = MICROBLAZE_VERSION_COMPARE (microblaze_select_cpu, "v8.30.a");
+  ver = MICROBLAZE_VERSION_COMPARE (GCC_OPTION (microblaze_select_cpu), "v8.30.a");
   if (ver < 0)
     {
-        if (TARGET_REORDER == 1)
+        if (GCC_OPTION (TARGET_REORDER) == 1)
           warning (0, "-mxl-reorder can be used only with -mcpu=v8.30.a or greater");
-        TARGET_REORDER = 0;
+        GCC_OPTION (TARGET_REORDER) = 0;
     }
   else if ((ver == 0) && !TARGET_PATTERN_COMPARE)
     {
-        if (TARGET_REORDER == 1)
+        if (GCC_OPTION (TARGET_REORDER) == 1)
           warning (0, "-mxl-reorder requires -mxl-pattern-compare for -mcpu=v8.30.a");
-        TARGET_REORDER = 0;
+        GCC_OPTION (TARGET_REORDER) = 0;
     }
 
   if (TARGET_MULTIPLY_HIGH && TARGET_SOFT_MUL)
@@ -2008,7 +2008,7 @@ compute_frame_size (HOST_WIDE_INT size)
 
   total_size = var_size + args_size;
 
-  if (flag_pic == 2)
+  if (GCC_OPTION (flag_pic) == 2)
     /* force setting GOT.  */
     df_set_regs_ever_live (MB_ABI_PIC_ADDR_REGNUM, true);
 
@@ -2637,7 +2637,7 @@ microblaze_function_prologue (FILE * file, HOST_WIDE_INT size ATTRIBUTE_UNUSED)
      assemble_start_function.  This is needed so that the name used here
      exactly matches the name used in ASM_DECLARE_FUNCTION_NAME.  */
   fnname = XSTR (XEXP (DECL_RTL (current_function_decl), 0), 0);
-  if (!flag_inhibit_size_directive)
+  if (!GCC_OPTION (flag_inhibit_size_directive))
     {
       fputs ("\t.ent\t", file);
       if (interrupt_handler && strcmp (INTERRUPT_HANDLER_NAME, fnname))
@@ -2657,7 +2657,7 @@ microblaze_function_prologue (FILE * file, HOST_WIDE_INT size ATTRIBUTE_UNUSED)
   if (interrupt_handler && strcmp (INTERRUPT_HANDLER_NAME, fnname))
     fputs ("_interrupt_handler:\n", file);
 
-  if (!flag_inhibit_size_directive)
+  if (!GCC_OPTION (flag_inhibit_size_directive))
     {
       /* .frame FRAMEREG, FRAMESIZE, RETREG.  */
       fprintf (file,
@@ -2788,7 +2788,7 @@ microblaze_expand_prologue (void)
 
   fsiz = compute_frame_size (get_frame_size ());
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = fsiz;
 
   /* If this function is a varargs function, store any registers that
@@ -2859,7 +2859,7 @@ microblaze_expand_prologue (void)
 	}
     }
 
-  if ((flag_pic == 2 || TLS_NEEDS_GOT )
+  if ((GCC_OPTION (flag_pic) == 2 || TLS_NEEDS_GOT )
       && df_regs_ever_live_p (MB_ABI_PIC_ADDR_REGNUM))
     {
       SET_REGNO (pic_offset_table_rtx, MB_ABI_PIC_ADDR_REGNUM);
@@ -2869,7 +2869,7 @@ microblaze_expand_prologue (void)
   /* If we are profiling, make sure no instructions are scheduled before
      the call to mcount.  */
 
-  if (profile_flag)
+  if (GCC_OPTION (profile_flag))
     emit_insn (gen_blockage ());
 }
 
@@ -2889,7 +2889,7 @@ microblaze_function_epilogue (FILE * file ATTRIBUTE_UNUSED,
      exactly matches the name used in ASM_DECLARE_FUNCTION_NAME.  */
   fnname = XSTR (XEXP (DECL_RTL (current_function_decl), 0), 0);
 
-  if (!flag_inhibit_size_directive)
+  if (!GCC_OPTION (flag_inhibit_size_directive))
     {
       fputs ("\t.end\t", file);
       if (interrupt_handler)
@@ -2977,7 +2977,7 @@ microblaze_can_use_return_insn (void)
   if (!reload_completed)
     return 0;
 
-  if (df_regs_ever_live_p (MB_ABI_SUB_RETURN_ADDR_REGNUM) || profile_flag)
+  if (df_regs_ever_live_p (MB_ABI_SUB_RETURN_ADDR_REGNUM) || GCC_OPTION (profile_flag))
     return 0;
 
   if (current_frame_info.initialized)
@@ -3135,7 +3135,7 @@ microblaze_asm_output_mi_thunk (FILE *file, tree thunk_fndecl ATTRIBUTE_UNUSED,
   funexp = XEXP (DECL_RTL (function), 0);
   rtx temp2 = gen_rtx_REG (Pmode, MB_ABI_TEMP2_REGNUM);
 
-  if (flag_pic)
+  if (GCC_OPTION (flag_pic))
     emit_move_insn (temp2, expand_pic_symbol_ref (Pmode, funexp));
   else
     emit_move_insn (temp2, funexp);
@@ -3181,7 +3181,7 @@ microblaze_expand_move (enum machine_mode mode, rtx operands[])
 	  emit_move_insn (op0, result);
 	  return true;
 	}
-      else if (flag_pic)
+      else if (GCC_OPTION (flag_pic))
 	{
 	  if (reload_in_progress)
 	    df_set_regs_ever_live (PIC_OFFSET_TABLE_REGNUM, true);
@@ -3201,13 +3201,13 @@ microblaze_expand_move (enum machine_mode mode, rtx operands[])
       if ((GET_CODE (p1) == CONST_INT)
 	  && ((GET_CODE (p0) == UNSPEC)
 	      || ((GET_CODE (p0) == SYMBOL_REF || GET_CODE (p0) == LABEL_REF)
-	          && (flag_pic == 2 || microblaze_tls_symbol_p (p0)
+	          && (GCC_OPTION (flag_pic) == 2 || microblaze_tls_symbol_p (p0)
 		      || !SMALL_INT (p1)))))
 	{
 	  rtx temp = force_reg (SImode, p0);
 	  rtx temp2 = p1;
 
-	  if (flag_pic && reload_in_progress)
+	  if (GCC_OPTION (flag_pic) && reload_in_progress)
 	    df_set_regs_ever_live (PIC_OFFSET_TABLE_REGNUM, true);
 	  emit_move_insn (op0, gen_rtx_PLUS (SImode, temp, temp2));
 	  return true;
diff --git a/gcc/config/microblaze/microblaze.h b/gcc/config/microblaze/microblaze.h
index 58d8895..8bf1100 100644
--- a/gcc/config/microblaze/microblaze.h
+++ b/gcc/config/microblaze/microblaze.h
@@ -540,7 +540,7 @@ typedef struct microblaze_args
   (GET_CODE (X) == LABEL_REF || GET_CODE (X) == SYMBOL_REF		\
     || GET_CODE (X) == CONST_INT 		                        \
     || (GET_CODE (X) == CONST						\
-	&& ! (flag_pic && pic_address_needs_scratch (X))))
+	&& ! (GCC_OPTION (flag_pic) && pic_address_needs_scratch (X))))
 
 /* Define this, so that when PIC, reload won't try to reload invalid
    addresses which require two reload registers.  */
@@ -702,7 +702,7 @@ do {									\
 
 #define ASM_OUTPUT_ADDR_DIFF_ELT(STREAM, BODY, VALUE, REL)		\
 do {									\
-  if (flag_pic == 2)                                               \
+  if (GCC_OPTION (flag_pic) == 2)                                               \
     fprintf (STREAM, "\t%s\t%sL%d@GOTOFF\n",                            \
 	     ".gpword",                                                 \
 	     LOCAL_LABEL_PREFIX, VALUE);				\
@@ -771,7 +771,7 @@ extern int save_volatiles;
 #undef ASM_DECLARE_FUNCTION_SIZE
 #define ASM_DECLARE_FUNCTION_SIZE(FILE, FNAME, DECL)			\
   do {									\
-    if (!flag_inhibit_size_directive)					\
+    if (!GCC_OPTION (flag_inhibit_size_directive))					\
       {									\
         char label[256];						\
 	static int labelno;						\
@@ -808,7 +808,7 @@ extern int save_volatiles;
     fprintf (FILE, TYPE_OPERAND_FMT, "object");				\
     putc ('\n', FILE);							\
     size_directive_output = 0;						\
-    if (!flag_inhibit_size_directive && DECL_SIZE (DECL))		\
+    if (!GCC_OPTION (flag_inhibit_size_directive) && DECL_SIZE (DECL))		\
       {									\
 	size_directive_output = 1;					\
 	fprintf (FILE, "%s", SIZE_ASM_OP);				\
@@ -823,7 +823,7 @@ extern int save_volatiles;
 #define ASM_FINISH_DECLARE_OBJECT(FILE, DECL, TOP_LEVEL, AT_END)	 \
 do {									 \
      const char *name = XSTR (XEXP (DECL_RTL (DECL), 0), 0);		 \
-     if (!flag_inhibit_size_directive && DECL_SIZE (DECL)		 \
+     if (!GCC_OPTION (flag_inhibit_size_directive) && DECL_SIZE (DECL)		 \
          && ! AT_END && TOP_LEVEL					 \
 	 && DECL_INITIAL (DECL) == error_mark_node			 \
 	 && !size_directive_output)					 \
